Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository
Class DefaultRepositoryManager

    java.lang.Object
      com.atlassian.bamboo.repository.DefaultRepositoryManager

All Implemented Interfaces:
  RepositoryManager

    public class DefaultRepositoryManager

extends Object
implements RepositoryManager

Constructor Summary
`DefaultRepositoryManager()`

Method Summary
`Repository` | `getNewRepositoryInstance(String repositoryKey)` Takes in a repository key a creates a new `Repository` for that key
`List` | `getRepositories()` Retuns a list of available `Repository` objects
`Collection` | `getVersionTypes()` A list of `NameValuePair` objects with representing HEAD / Branch versions
`void` | `setTextProvider(TextProvider textProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRepositoryManager

    public DefaultRepositoryManager()

Method Detail

### getRepositories

    public List getRepositories()

  Description copied from interface: `RepositoryManager`
  Retuns a list of available `Repository` objects

  Specified by:
    `getRepositories` in interface `RepositoryManager`
  Returns:
    Immutable list of `Repository`. Empty list if none exists.

### getNewRepositoryInstance

    public Repository getNewRepositoryInstance(String repositoryKey)

  Description copied from interface: `RepositoryManager`
  Takes in a repository key a creates a new `Repository` for that key

  Specified by:
    `getNewRepositoryInstance` in interface `RepositoryManager`
  Parameters:
    `repositoryKey` - - Cannot be null
  Returns:
    `Repository` matching the key. Throws `IllegalArgumentException` if invalid

### getVersionTypes

    public Collection getVersionTypes()

  Description copied from interface: `RepositoryManager`
  A list of `NameValuePair` objects with representing HEAD / Branch versions

  Specified by:
    `getVersionTypes` in interface `RepositoryManager`
  Returns:
    `List` never null

### setTextProvider

    public void setTextProvider(TextProvider textProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.